Test application access using the new configuration.

Restart the PAS for OpenEdge instance

Restart the OpenEdge Authentication Gateway server to use the property changes.
  1. Run the Proenv command-line tool.
  2. From the PAS for OpenEdge instance directory, run the pasman.[bat|sh] oeserver command:
    proenv>pasman oeserver -restart -I oepas1
For more information, run the pasman.[bat|sh]oeserver -h command to access online help.

Restart the OpenEdge Authentication Gateway

Restart the OpenEdge Authentication Gateway server to use the property changes.
  1. Run the Proenv command-line tool.
  2. From the oeauthserver directory, run the pasman.[bat|sh] oeserver command:
    proenv>pasman oeserver -restart -I oeauthserver
For more information, run the pasman.[bat|sh]oeserver -h command to access online help.

Generate a bearer token

  1. Generate a bearer token by using the CURL command to simulate the login.
    proenv>curl -k https://hostname:port/jwt/user1
    Note: Here, hostname and port are the host name and port number of the OESECTOOL OAuth2 authorization server, oauth2server. For testing purposes, only the username and no password is sent to the oauth2server.
  2. Copy the token.

Test client access to PAS for OpenEdge services

Use the CURL command to test access to the oe_ping command.

  1. Run the following CURL command.
    proenv>curl -k -H "Authorization: Bearer token" https://hostname:port/rest/_oepingService/_oeping
    Note: Use the generated token from the "Generate a bearer token" details, and use the PAS for OpenEdge hostname and port. Remote validation is performed using the oauth2.opaqueToken.instrospectionUri property configured in sts.properties for the OpenEdge Authentication Gateway.
  2. Review the results.